Package uk.ac.starlink.topcat.doc

## Class TopcatXmlDoclet

- java.lang.Object
- - uk.ac.starlink.ttools.build.MemberDoclet
  - - uk.ac.starlink.ttools.build.XmlDoclet
    - - uk.ac.starlink.ttools.build.FullXmlDoclet
      - - uk.ac.starlink.topcat.doc.TopcatXmlDoclet

-     public class TopcatXmlDoclet
      extends uk.ac.starlink.ttools.build.FullXmlDoclet

  Doclet which documents public static members of clases in XML for insertion into the TOPCAT user document.

  Optional doclet flags beyond the superclass ones are:

  -act
    Write output only for 'activation' classes - as reported by `TopcatJELUtils.getActivationStaticClasses()`.
  -gen
    Write output only for 'general' classes - as reported by `uk.ac.starlink.topcat.TopcatJELUtils.getStaticClasses`.
  Since:
    6 Sep 2004
  Author:
    Mark Taylor (Starlink)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TopcatXmlDoclet​(com.sun.javadoc.RootDoc root)` | Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getXmlId​(com.sun.javadoc.ClassDoc clazz)` |
    `static int` | `optionLength​(java.lang.String option)` | Define permitted command-line flags.
    `static boolean` | `start​(com.sun.javadoc.RootDoc root)` | Begin processing document.
    `protected boolean` | `useClass​(com.sun.javadoc.ClassDoc clazz)` |

    - ### Methods inherited from class uk.ac.starlink.ttools.build.FullXmlDoclet

      `endClass, endMember, out, outDescription, outExamples, outParameters, outReturn, outSees, process, startClass, startMember`

    - ### Methods inherited from class uk.ac.starlink.ttools.build.XmlDoclet

      `doctorText, flush, out, outItem`

    - ### Methods inherited from class uk.ac.starlink.ttools.build.MemberDoclet

      `isDocumentable, languageVersion, processClass, processPackage, pWrap, typeString, varargTypeString, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopcatXmlDoclet

          protected TopcatXmlDoclet​(com.sun.javadoc.RootDoc root)
                             throws java.io.IOException

      Constructor.
      Parameters:
        `root` - root document
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### start

          public static boolean start​(com.sun.javadoc.RootDoc root)
                               throws java.io.IOException

      Begin processing document. This method is part of the Doclet public interface.
      Throws:
        `java.io.IOException`

    - #### optionLength

          public static int optionLength​(java.lang.String option)

      Define permitted command-line flags. This method is part of the Doclet public interface.

    - #### getXmlId

          protected java.lang.String getXmlId​(com.sun.javadoc.ClassDoc clazz)

      Overrides:
        `getXmlId` in class `uk.ac.starlink.ttools.build.FullXmlDoclet`

    - #### useClass

          protected boolean useClass​(com.sun.javadoc.ClassDoc clazz)

      Overrides:
        `useClass` in class `uk.ac.starlink.ttools.build.FullXmlDoclet`